	package com.foo.service;

	import com.foo.model.TestModel;
	import java.io.IOException;
	import java.util.HashMap;
	import java.util.Map;
	import java.io.File;
	import javax.xml.bind.JAXBException;
	import org.junit.AfterClass;
	import static org.junit.Assert.*;
	import org.junit.BeforeClass;
	import org.junit.Test;
	import org.slf4j.Logger;
	import org.slf4j.LoggerFactory;
	import javax.ejb.embeddable.EJBContainer;
	import javax.naming.Context;

	public class TestModelServiceTest  {

		Logger logger = LoggerFactory.getLogger(TestModelServiceTest.class);

		static private TestModelService testService = null;

		private static Context ctx;
		private static EJBContainer container;

		public TestModelServiceTest() throws Exception {

		}

		@BeforeClass
		static public void setup()
			throws IOException, JAXBException
		{
			// domain.xml from http://embedded-glassfish.java.net/domain.xml
			try {
				Map<String, Object> props = new HashMap<String, Object>(); 
				props.put(EJBContainer.MODULES, new File("target/classes"));
				props.put(EJBContainer.APP_NAME, "test");
	//			props.put("org.glassfish.ejb.embedded.glassfish.installation.root", "./glassfish3");
	//			props.put("org.glassfish.ejb.embedded.glassfish.instance.root","./glassfish3/glassfish/domains/domain1"); 
	//			props.put("org.glassfish.ejb.embedded.glassfish.configuration.file","./glassfish3/glassfish/domains/domain1/config/domain.xml"); 
	//			props.put("org.glassfish.ejb.embedded.glassfish.configuration.file","./resources/test/domain.xml"); 
				props.put("org.glassfish.ejb.embedded.glassfish.web.http.port",""); 

				container = EJBContainer.createEJBContainer(props); 

				ctx = container.getContext(); 
			} catch(Exception e) {
				fail(e.toString());
			}

			try {

				testService = new TestModelService();

			} catch(Exception e) {
				fail(e.toString());
			}		
		}


		@AfterClass
		static public void teardown()
			throws IOException
		{
			if(container != null) {
				container.close();		
			}
		}

		@Test
		public void testValidUser() throws Exception {

			// TestModel a valid basic user
			{
				try {
					TestModel test = new TestModel();

					test.setTest("foo");

					testService.addTest(test);

				} catch(Exception e) {
					fail(e.toString());
				}
			}

		}	
	}